### Method

# GIRepository ObjectInfo get_set_value_function_name

since: 2.80

#### Declaration [src]

    const char*
    gi_object_info_get_set_value_function_name (
      GIObjectInfo* info
    )

#### Description [src]

Obtain the symbol name of the function that should be called to set a `GValue`, given an object instance pointer of this object type.

It’s mainly used for fundamental types. The type signature for the symbol is `GIObjectInfoSetValueFunction`. To fetch the function pointer see `gi_object_info_get_set_value_function_pointer()`.

Available since: 2.80

#### Return value

Type: `const char*`

The symbol, or `NULL` if the object type has no set-value function.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.